%{?nodejs_find_provides_and_requires}

%global packagename path-platform

Name: nodejs-%{packagename}
Version: 0.11.15
Release: 1%{?dist}.3
Summary: Provide access to win32 and posix path operations
License: MIT
URL: http://github.com/tjfontaine/node-path-platform
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging

%description
Provide access to win32 and posix path operations; sourced directly
from upstream Node.js.

This is a transitional package for those not on 0.12 that provides
a compatible interface to the builtin path module,
but adds path.posix and path.win32 so you can path.posix.normalize
on a win32 platform, or vice versa.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 0.11.15-1
- Initial package.
